#### Previous topic

scipy.special.shichi

#### Next topic

scipy.special.spence

# scipy.special.sici

`scipy.special.``sici`(x, out=None) = <ufunc 'sici'>

  Sine and cosine integrals.

  The sine integral is

  \[\int_0^x \frac{\sin{t}}{t}dt\]

  and the cosine integral is

  \[\gamma + \log(x) + \int_0^x \frac{\cos{t} - 1}{t}dt\]

  where \(\gamma\) is Euler’s constant and \(\log\) is the principle branch of the logarithm.

  Parameters:

  x : array_like

  > Real or complex points at which to compute the sine and cosine integrals.

  Returns:

  si : ndarray

  > Sine integral at `x`

  ci : ndarray

  > Cosine integral at `x`

  Notes

  For real arguments with `x < 0`, `ci` is the real part of the cosine integral. For such points `ci(x)` and `ci(x + 0j)` differ by a factor of `1j*pi`.

  For real arguments the function is computed by calling Cephes’ [R489] sici routine. For complex arguments the algorithm is based on Mpmath’s [R490] si and ci routines.

  References

  [R489] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html

  [R490] | (1, 2) Fredrik Johansson and others. “mpmath: a Python library for arbitrary-precision floating-point arithmetic” (Version 0.19) http://mpmath.org/